Unsupported Browser

Please use IE 10+, Chrome, Firefox, or Safari.

We apologize for any inconvenience.


Over the past year or so we have seen a signifant drop in legacy Internet Explorer usage & less than 1% of our users are still using any version of Internet Explorer less than 10.

We feel that the low usage combined with Microsoft's drop in support of IE<11 and a plethora of alternatives warrants a shift in support so that we can take advantage of the new standards & features present in updated browsers.